#!/bin/sh

# \
  if (test -z "$WISH"); then export WISH=wish; fi
# \
  exec "$WISH" "$0" -name wish ${1+"$@"}

# ======================================================================

# example2.tcl --

# Timer example.
# Create a basic countdown timer.

# Version   : 0.3.0
# Author    : Mark G. Saye
# Email     : markgsaye@yahoo.com
# Copyright : Copyright (C) 2003
# Date      : December 09, 2003

# See the file "LICENSE.txt" or "LICENSE.html" for information on usage
# and distribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.

# ======================================================================

proc alarm {timer} {

  set t [clock seconds]
  set time [clock format $t -format "%H:%M:%S %Z"]
  set date [clock format $t -format "%a %b %d %Y"]
  puts "Countdown finished at $time on $date"
  tk_messageBox \
    -icon info \
    -message "Countdown finished at\n$time\non\n$date" \
    -title "Alarm" \
    -type ok

}

# ======================================================================

  package require timer

# Set reset time in milliseconds
  set reset -5000 ; # 5-second countdown

  set timer [timer::create \
    -reset $reset \
    -alarm [list alarm] \
  ]

  entry  .value -textvariable ${timer}(time) -width 20

  button .start -text "Start/Stop" \
    -command [list timer::startstop $timer]

  button .reset -text "Reset" \
    -command [list timer::reset     $timer]

  pack .value -s left -e 1 -f x
  pack .start .reset -s left

# ======================================================================

