#!/bin/sh

# \
  if (test -z "$TCLSH"); then export TCLSH=tclsh; fi
# \
  exec "$TCLSH" "$0" ${1+"$@"}

# ======================================================================

# example4.tcl --

# Timer example.
# Create a countdown timer which resets itself.

# Version   : 0.3.0
# Author    : Mark G. Saye
# Email     : markgsaye@yahoo.com
# Copyright : Copyright (C) 2003
# Date      : December 09, 2003

# See the file "LICENSE.txt" or "LICENSE.html" for information on usage
# and distribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.

# ======================================================================

  package require timer

# ======================================================================

proc alarm {timer} {

  puts "alarm went off at [clock format [clock seconds]]"

  timer::reset $timer
  timer::start $timer

}

# ======================================================================

  set timer [timer::create \
    -reset -5000 \
    -alarm [list alarm] \
  ]

  puts "timer started  at [clock format [clock seconds]]"

  timer::start $timer

  vwait forever

# ======================================================================

